/**
  * This file is part of OsciPrime
  *
  * Copyright (C) 2011 - Manuel Di Cerbo, Andreas Rudolf
  * 
  * Nexus-Computing GmbH, Switzerland 2011
  *
  * OsciPrime is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation; either version 2 of the License, or
  * (at your option) any later version.
  *
  * OsciPrime is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
  *
  * You should have received a copy of the GNU General Public License
  * along with OsciPrime; if not, write to the Free Software
  * Foundation, Inc., 51 Franklin St, Fifth Floor, 
  * Boston, MA  02110-1301  USA
  */
package ch.serverbox.android.osciprime;
/* OPC = OsciPrimeConstatns
 * AS - Activity to Service
 * SA - Service to Activity
 * BD - Bidirectional
 */
public class OPC {
	public static final int AS_REGISTER_ACTIVITY = 0;
	public static final int AS_QUERY_SOURCES = 1;
	public static final int AS_SELECT_SOURCE = 2;
	public static final int AS_START_SAMPLING = 3;
	public static final int AS_STOP_SAMPLING = 4;
	public static final int AS_QUERY_STATE = 5;
	
	public static final int AS_SET_TRIGGER_LEVEL = 6;
	public static final int AS_SET_POLARITY = 7;
	public static final int AS_SET_TRIGGER_CHANNEL = 8;
	public static final int AS_SET_INTERLEAVE = 9;
	public static final int AS_SET_SOURCE = 10;
	public static final int AS_SET_GAIN = 11;
	public static final int AS_QUERY_PREFERENCES = 12;
	public static final int AS_SET_CHANNELVISIBLE = 13;
	
	
	public static final int SA_NEW_SAMPLES = 20;
	public static final int SA_ANSWER_SOURCES = 21;
	public static final int SA_ANSWER_STATE = 22;
	public static final int SA_SOURCE_NOT_AVAILABLE = 23;
	public static final int SA_PREFERENCES_CHANGED = 24;
	public static final int SA_LINKVIEW = 25;
	
	public static final int OS_SOURCE_NOT_AVAILABLE = 51;
	public static final int OS_SET_CALIBRATION_OFFSET = 70;
	


	public static final int BI_ECHO = 40;
	
	public static final int TYPE_SHORT = 0;
	public static final int TYPE_BYTE = 1;
	
	public static final int STATE_RUNNING = 0;
	public static final int STATE_IDLE = 1;
	
	public static final int NUM_POINTS_PER_PLOT = 300;//smaller than the number of samples
	public static final int NUM_POINTS_PER_PREVIEW_PLOT = 100;
	
	public static final int PROGRESS_MAX = 100;
	
	public static final int SOURCE_AUDIO = 0;
	public static final int SOURCE_GENERATOR = 1;
	public static final int SOURCE_USB = 2;
}
